Package org.apache.ignite.client

## Class ClientFeatureNotSupportedByServerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.client.ClientException
        - - org.apache.ignite.client.ClientFeatureNotSupportedByServerException

- All Implemented Interfaces:
    `Serializable`

      public class ClientFeatureNotSupportedByServerException
      extends ClientException

  Feature not supported by server exception.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientFeatureNotSupportedByServerException​(String msg)` | Constructs a new exception with the specified detail message.
    `ClientFeatureNotSupportedByServerException​(String msg, Throwable cause)` | Constructs a new exception with the specified cause and detail message.
    `ClientFeatureNotSupportedByServerException​(org.apache.ignite.internal.client.thin.ProtocolBitmaskFeature feature)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientFeatureNotSupportedByServerException

          public ClientFeatureNotSupportedByServerException​(String msg)

      Constructs a new exception with the specified detail message.
      Parameters:
        `msg` - the detail message.

    - #### ClientFeatureNotSupportedByServerException

          public ClientFeatureNotSupportedByServerException​(org.apache.ignite.internal.client.thin.ProtocolBitmaskFeature feature)

      Parameters:
        `feature` - Feature.

    - #### ClientFeatureNotSupportedByServerException

          public ClientFeatureNotSupportedByServerException​(String msg,
                                                            Throwable cause)

      Constructs a new exception with the specified cause and detail message.
      Parameters:
        `msg` - the detail message.
        `cause` - the cause.